<template>
  <div class="social-auth">
      <div class="social-auth__btn-wrapper">
        <button class="social-auth__btn social-auth__btn--fb" type="button" name="fb">
          <img src="@/assets/img/svg/f.svg" alt="Facebo">
          Facebook
        </button>
        <button class="social-auth__btn social-auth__btn--go" type="button" name="go">
          <img src="@/assets/img/svg/g.svg" alt="Google">
          Google
        </button>
        <button class="social-auth__btn social-auth__btn--tw" type="button" name="tw">
          <img src="@/assets/img/svg/t.svg" alt="Twitter">
          Twitter
        </button>
      </div>
      <div class="social-auth__footer">
        OR
      </div>
  </div>
</template>

<script>
export default {
  name: 'SocialAuth'
}
</script>

<style lang="sass" scoped>
.social-auth
  &__btn-wrapper
    display: flex
    flex-direction: row
    justify-content: space-between
  &__btn
    font-family: $mainFont
    font-size: rem(16)
    line-height: 1.4
    text-align: center
    border-radius: $btnBorderRadius
    padding: rem(10) rem(25)
    color: white
    width: 30%
    &--fb
      background-color: #3C5A99
    &--go
      background-color: #4285F4
    &--tw
      background-color: #1DA1F2
  &__footer
    font-family: $mainFont
    font-size: rem(10)
    line-height: 1.4
    text-align: center
    letter-spacing: rem(1)
    text-transform: uppercase
    margin: rem(30) 0 0
    position: relative
    &:before, &:after
      content: ''
      position: absolute
      width: 45%
      height: rem(1)
      background-color: #636E7E
      opacity: 0.2
      top: 50%
    &:before
      left: 0
    &:after
      right: 0
</style>
